using BITKit.Core.Entites;
using Godot;

namespace  BITKit;
/// <summary>
/// 基于Godot.Node3D的IEntityComponent实现
/// </summary>
public partial class EntityComponent : Node3D,IEntityComponent
{
	public IEntity Entity { get; set; }
	public virtual void OnStart(){}
	public virtual void OnAwake(){}
}
